    ttysig(1)                                    Qualcomm Atheros Open Powerline Toolkit                                   ttysig(1)

    NAME
           ttysig - Serial Line Signal Controller

    SYNOPSIS
           ttysig [options]

    DESCRIPTION
           Interactively  control  serial  line output signals (Request To Send, Data Terminal Ready), and read the current value of
           all control signals (Request To Send, Clear To Send, Data Set Ready, Data Terminal Ready, Data Carrier Detect, Ring Indi‐
           cator).

           This  program  is  part of the Qualcomm Atheros Powerline Toolkit.  See the AMP man page for an overview and installation
           instructions.

    OPTIONS
           -s device
                  Specify the serial device used.  The default is serial console device "/dev/ttyS0".

           -D value
                  Set the serial control line DTR high if value is non-zero, low otherwise.

           -I     Interactive mode.

           -R value
                  Set the serial control line RTS high if value is non-zero, low otherwise.

           -r     Print serial control line status on stdout.  This is performed after -R and -D.

           -?,--help
                  Print program help summary on stdout.  This option takes precedence over other options on the command line.

           -?,--version
                  Print program version information on stdout.  This option takes precedence over other options on the command line.
                  Use  this option when sending screen dumps to Atheros Technical Support so that they know exactly which version of
                  the Linux Toolkit you are using.

    EXAMPLES
           The following example sets DTR high and RTS low at program start.  The user then interactively prints the current control
           signal values, and then sets DTR low.  Since no serial devices are specified, program defaults are used.

             $ ./ttysig -I -D 1 -R 0
             command (D #, R #, r, q): r
             RTS: -V
             CTS: -V
             DSR: -V
             DTR: +V
             DCD: -V
             RI : -V
             command (D #, R #, r, q): D 0
             command (D #, R #, r, q):

    SEE ALSO
           amp(1), int6kdetect(1), int6kuart(1)

    CREDITS
            Nathaniel Houghton <nhoughto@qca.qualcomm.com>

    open-plc-utils-0.0.3                                        Mar 2014                                                   ttysig(1)

[PREV] [HOME] [NEXT]